> ## Documentation Index
> Fetch the complete documentation index at: https://docs.keyflow.space/llms.txt
> Use this file to discover all available pages before exploring further.

# Fetch Run Status

> Fetch status of run using API



## OpenAPI

````yaml GET /runs/status/{run_id}
openapi: 3.0.1
info:
  title: Keyflow API
  description: An example API that demonstrates the usage of API keys and accepting inputs
  version: 1.0.0
servers:
  - url: https://keyflow-backend-62hevvkvea-uc.a.run.app/api
security: []
paths:
  /runs/status/{run_id}:
    get:
      summary: Fetch status of run using API
      description: Fetch status of run using API
      responses:
        '201':
          description: Successful operation
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/RunResponse'
        '400':
          description: Bad request
components:
  schemas:
    RunResponse:
      type: object
      properties:
        status:
          type: string
          description: Run status
          enum:
            - COMPLETE
            - FAILED
            - IN_PROGRESS
            - QUEUED
            - WAITING
          example: COMPLETE
      example:
        status: COMPLETE

````